### Function

# Pango.itemize_with_base_dir

#### Declaration [src]

    GList*
    pango_itemize_with_base_dir (
      PangoContext* context,
      PangoDirection base_dir,
      const char* text,
      int start_index,
      int length,
      PangoAttrList* attrs,
      PangoAttrIterator* cached_iter
    )

#### Description [src]

Like `pango_itemize()`, but with an explicitly specified base direction.

The base direction is used when computing bidirectional levels. (see `pango_context_set_base_dir()`). `pango_itemize()` gets the base direction from the `PangoContext`.

#### Parameters

`context` | `PangoContext`
| a structure holding information that affects the itemization process.
| Ownership is not transferred to the callee
`base_dir` | `PangoDirection`
| base direction to use for bidirectional processing
`text` | `const char*`
| the text to itemize.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`start_index` | `int`
| first byte in `text` to process
`length` | `int`
| the number of bytes (not characters) to process after `start_index`. This must be >= 0.
`attrs` | `PangoAttrList`
| the set of attributes that apply to `text`.
| Ownership is not transferred to the callee
`cached_iter` | `PangoAttrIterator`
| Cached attribute iterator, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: A list of `PangoItem`
a `GList` of `PangoItem` structures. The items should be freed using `pango_item_free()` probably in combination with `g_list_free_full()`.
Ownership of the data is transferred to the caller